# Uses of Interface
javassist.util.proxy.Proxy

Packages that use Proxy
Package
Description
javassist.util.proxy
Dynamic proxy (similar to `Enhancer` of cglib).

## Uses of Proxy in javassist.util.proxy

Subinterfaces of Proxy in javassist.util.proxy
Modifier and Type
Interface
Description
`interface`
`ProxyObject`
The interface implemented by proxy classes.
Methods in javassist.util.proxy with parameters of type Proxy
Modifier and Type
Method
Description
`static MethodHandler`
ProxyFactory.`getHandler(Proxy p)`
Obtains the method handler of the given proxy object.